Package uk.ac.starlink.topcat.plot2

# Class XYArrayCoordPanel

java.lang.Object
uk.ac.starlink.topcat.plot2.CoordPanel
uk.ac.starlink.topcat.plot2.PositionCoordPanel
uk.ac.starlink.topcat.plot2.XYArrayCoordPanel

public class XYArrayCoordPanel extends PositionCoordPanel
CoordPanel for 2-d vector-valued coordinates.

Since:
  26 Jan 2021
Author:
  Mark Taylor

## Nested Class Summary

## Nested classes/interfaces inherited from class uk.ac.starlink.topcat.plot2.CoordPanel

`CoordPanel.CoordStack`

## Constructor Summary

Constructors
Constructor
Description
`XYArrayCoordPanel()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`autoPopulate()`
Makes some attempt to fill in the fields with non-blank values.
`uk.ac.starlink.ttools.plot2.DataGeom`
`getDataGeom()`
Returns null.
`boolean`
`isPreferredCoord(uk.ac.starlink.ttools.plot2.data.Coord coord)`
Indicates whether a coordinate is one that ought to get filled in if possible.

### Methods inherited from class uk.ac.starlink.topcat.plot2.PositionCoordPanel

`getExtraTabs, multiplyCoords`

### Methods inherited from class uk.ac.starlink.topcat.plot2.CoordPanel

`addActionListener, addButtons, createDefaultStack, getActionForwarder, getAdditionalManagedCoords, getColumnSelector, getComponent, getConfig, getConfigSpecifier, getContents, getCoords, getInfos, getStack, getTable, populate, removeActionListener, setColumnSelector, setTable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XYArrayCoordPanel

public XYArrayCoordPanel()
Constructor.

## Method Details

### getDataGeom

public uk.ac.starlink.ttools.plot2.DataGeom getDataGeom()
Returns null.

Specified by:
  `getDataGeom` in class `PositionCoordPanel`
Returns:
  data geom

### isPreferredCoord

public boolean isPreferredCoord(uk.ac.starlink.ttools.plot2.data.Coord coord)
Description copied from class: `CoordPanel`
Indicates whether a coordinate is one that ought to get filled in if possible. The CoordPanel implementation simply returns coord.`Coord.isRequired()`, but subclasses can override this if more nuanced behaviour is necessary.

In particular in order for autopopulation to work correctly, it may be necessary to return true for all members of a group of coordinates for which at least one has to be filled in for a viable plot.

Overrides:
  `isPreferredCoord` in class `CoordPanel`
Parameters:
  `coord` - candidate coordinate
Returns:
  true if we should try hard to get a value

### autoPopulate

public void autoPopulate()
Description copied from class: `CoordPanel`
Makes some attempt to fill in the fields with non-blank values. The default implementation fills in the first few suitable columns, but subclasses are encouraged to override this behaviour if something smarter is possible.

Overrides:
  `autoPopulate` in class `CoordPanel`